
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("mes_sale_order_relate")]
    public class MesSaleOrderRelate
    {
        [Key]
        [Column("sale_order_relate_id")]
        public long SaleOrderRelateId { get; set; }

        [Column("sale_order_id")]
        public long SaleOrderId { get; set; }

        [Column("relate_sale_order_id")]
        public long RelateSaleOrderId { get; set; }

        [Column("purchase_order_id")]
        public long PurchaseOrderId { get; set; }

        [Column("relate_sale_order_amout")]
        public decimal RelateSaleOrderAmount { get; set; }

        [Column("material_id")]
        public long MaterialId { get; set; }

    }
}

